<?php

require_once '../config.php';
$url = $local_url . "/user/createuser";

$username = urlencode("ses66181+" . rand(1000, 9999) . "@gmail.com");
$phone = (rand(1, 2) > 1) ? "770222" . rand(2222, 9999) : '';

include '../sample_data.php'; // just for sample data
$firstname = random_name(); // 
$lastname = random_name(); // 

$company_name = '';
if (rand(0, 1) == 1) {
    $company_name = "Company name which is optional " . rand(1000, 9999);
}

$data = array(
    "username" => $username,
    "password" => "kleenuser",
    "email" => $username,
    "firstname" => $firstname,
    "lastname" => $lastname,
    "phone" => $phone,
    "company_name" => $company_name
);

$content = json_encode($data);

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type" => "application/json"));
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $content);

$json_response = curl_exec($curl);
//echo "<pre>";var_dump($json_response);echo "</pre>";

$status = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($status != 200) {
    echo ("Error: call to URL $url failed with status $status, response $json_response, curl_error " . curl_error($curl) . ", curl_errno " . curl_errno($curl));
}

curl_close($curl);

$response = json_decode($json_response, true);


var_dump($response);

echo "<hr/>";
var_dump($data);

echo "<hr/>";

echo highlight_string(file_get_contents(__FILE__));
?>
